### 4.19.1 resolution declarations

Syntax:
  `resolution` name `=` resolution_expression `;`

Purpose:
  defines a resolution.

Default:
  none

Example:

        ring R;
        ideal i=z2,x;
        resolution re=res(i,0);
        re;
      ==>  1      2      1
      ==> R <--  R <--  R
      ==>
      ==> 0      1      2
      ==>
        betti(re);
      ==> 1,1,0,
      ==> 0,1,1
        list l = re;
        l;
      ==> [1]:
      ==>    _[1]=x
      ==>    _[2]=z2
      ==> [2]:
      ==>    _[1]=-z2*gen(1)+x*gen(2)
      ==> [3]:
      ==>    _[1]=0

User manual for Singular version 4.4.1, 2025, generated by texi2html.